Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Lifecycle Java API Reference 10g Release 3 (10.1.3) B25779-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.adf.share
Class HashMapScopeAdapter

`java.lang.Object
oracle.adf.share.HashMapScopeAdapter`

All Implemented Interfaces:
  ADFScope, java.util.Map

public class HashMapScopeAdapter
extends java.lang.Object
implements ADFScope

Since:
  release specific (what release of product did this appear in)
Version:
  $Header: HashMapScopeAdapter.java 17-aug-2005.16:00:55 jsmiljan Exp $

Nested Class Summary

Nested classes inherited from class java.util.Map
`java.util.Map.Entry`

Constructor Summary
`HashMapScopeAdapter(java.lang.String scopeName, java.util.HashMap adaptee)`

Method Summary
`void` | `addScopeListener(ADFScopeListener listener)`
`void` | `clear()`
`boolean` | `containsKey(java.lang.Object key)`
`boolean` | `containsValue(java.lang.Object value)`
`java.util.Set` | `entrySet()`
`java.lang.Object` | `get(java.lang.Object key)`
`void` | `invalidate()`
`boolean` | `isEmpty()`
`java.util.Set` | `keySet()`
`java.lang.Object` | `put(java.lang.Object key, java.lang.Object value)`
`void` | `putAll(java.util.Map map)`
`java.lang.Object` | `remove(java.lang.Object key)`
`void` | `removeScopeListener(ADFScopeListener listener)`
`int` | `size()`
`java.util.Collection` | `values()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Constructor Detail

### HashMapScopeAdapter

    public HashMapScopeAdapter(java.lang.String scopeName,
                               java.util.HashMap adaptee)

Method Detail

### size

    public int size()

  Specified by:
    `size` in interface `java.util.Map`

### clear

    public void clear()

  Specified by:
    `clear` in interface `java.util.Map`

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `java.util.Map`

### containsKey

    public boolean containsKey(java.lang.Object key)

  Specified by:
    `containsKey` in interface `java.util.Map`

### containsValue

    public boolean containsValue(java.lang.Object value)

  Specified by:
    `containsValue` in interface `java.util.Map`

### values

    public java.util.Collection values()

  Specified by:
    `values` in interface `java.util.Map`

### putAll

    public void putAll(java.util.Map map)

  Specified by:
    `putAll` in interface `java.util.Map`

### entrySet

    public java.util.Set entrySet()

  Specified by:
    `entrySet` in interface `java.util.Map`

### keySet

    public java.util.Set keySet()

  Specified by:
    `keySet` in interface `java.util.Map`

### get

    public java.lang.Object get(java.lang.Object key)

  Specified by:
    `get` in interface `java.util.Map`

### remove

    public java.lang.Object remove(java.lang.Object key)

  Specified by:
    `remove` in interface `java.util.Map`

### put

    public java.lang.Object put(java.lang.Object key,
                                java.lang.Object value)

  Specified by:
    `put` in interface `java.util.Map`

### invalidate

    public void invalidate()

  Specified by:
    `invalidate` in interface `ADFScope`

### addScopeListener

    public void addScopeListener(ADFScopeListener listener)

  Specified by:
    `addScopeListener` in interface `ADFScope`

### removeScopeListener

    public void removeScopeListener(ADFScopeListener listener)

  Specified by:
    `removeScopeListener` in interface `ADFScope`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Lifecycle Java API Reference 10g Release 3 (10.1.3) B25779-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.